/*
 * JPA DAO Template
 *
 *
 * Takatuka - Template fuer JPA DAO
 *
 */

package de.ivu.elect.business.internet.boundary;

import de.ivu.elect.business.internet.entity.InternetWidget;

@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class InternetWidgetDAO extends AbstractInternetWidgetDAO {

  private static final long serialVersionUID = 1L;

  @javax.inject.Inject
  private transient de.ivu.elect.jee.entity.SimpleDAO simpleDAO;

  @Override
  protected javax.persistence.EntityManager getEntityManager() {
    return simpleDAO.getEntityManager();
  }

  public void persist(InternetWidget internetWidget){
    getEntityManager().persist(internetWidget);
  }

  public void remove(InternetWidget internetWidget){
    getEntityManager().remove(internetWidget);
  }

@javax.inject.Inject
private transient de.ivu.elect.presentation.system.DAOCache daoCache;

                        
        /**
        * Name: InternetSeiteOhneHeaderOrderedNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT o FROM InternetWidget o WHERE o.internetSeite = ?1 AND o.zeile>= 1 ORDER BY o.zeile, o.position<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<InternetWidget> findByInternetSeiteOhneHeaderOrdered( @javax.annotation.Nonnull de.ivu.elect.business.internet.entity.InternetSeite internetSeite) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("InternetWidget.findByInternetSeiteOhneHeaderOrdered" ,  internetSeite  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByInternetSeiteOhneHeaderOrdered( internetSeite  ));
        }
        return (java.util.List<InternetWidget>) cached;
        }
            return super.findByInternetSeiteOhneHeaderOrdered( internetSeite  );
            }
                                        
        /**
        * Name: InternetSeiteOrderedNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT o FROM InternetWidget o WHERE o.internetSeite = ?1 ORDER BY o.zeile, o.position<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<InternetWidget> findByInternetSeiteOrdered( @javax.annotation.Nonnull de.ivu.elect.business.internet.entity.InternetSeite internetSeite) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("InternetWidget.findByInternetSeiteOrdered" ,  internetSeite  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByInternetSeiteOrdered( internetSeite  ));
        }
        return (java.util.List<InternetWidget>) cached;
        }
            return super.findByInternetSeiteOrdered( internetSeite  );
            }
                    
@Override
public void clear() {
super.clear();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}

}

@Override
public void flush() {
super.flush();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}
}



}